<?php

require_once 'connect.php';
require_once 'inc/messages.php';

// retorna array com lista de módulos, ou false se deu erro
function produtos_grupo_getAll() {
  global $conexao;
  $sql = 'select * from erpc_produtos_grupo where st_ativo=?';
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function produtos_grupo_getById($id) {
  global $conexao;
  $sql = 'select * from erpc_produtos_grupo where id=? and st_ativo=1';
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      addError('Id não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function produtos_grupo_insert($produtos_grupo, &$error=null) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_produtos_grupo ';
  $campos = array('ds_grupo', 'st_ativo');
  $values = array();
  foreach($campos as $campo) {
    $values[] = $parametros[$campo];
  }
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values, $error);
  if ($ok !== false) {
    if ($error === null) {
      addMessage('Inserido com sucesso');
    }
  }
  return $ok;
}

// altera a senha do usuário
function produtos_grupo_update($produtos_grupo) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_produtos_grupo set ';
  $campos = array('ds_grupo');
  $values = array();
  foreach($campos as $campo) {
    $sql .= $campo . '=?,';
    $values[] = $produtos_grupo[$campo];
  }
  $sql .= ' where id = ?';
  $values[] = $produtos_grupo['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function produtos_grupo_delete($produtos_grupo) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_produtos_grupo set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $produtos_grupo['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Removido com sucesso');
  }
  return $ok;
}

function produtos_grupo_create() {
  $produtos_grupo = array(
    'id' => '',
    'ds_grupo' => '',
    'st_ativo' => '1',
  );
  return $produtos_grupo;
}
